{
    "logging" :{
        "appenders": {
            "out" :{
                "type": "file",
                "options":{
                    "file": "gohttpd.log"
                }
            },
            "stdout":{
                "type": "console"
            }
        },
        "categories": {
            "default": {
                "appenders": [ "out" ,"stdout"],
                "level": "debug"
            }
        }
    },
    "admin" : {
        "name": "admin",
        "port" : 8088,
        "username": "admin",
        "password": "admin",
        "directives":[
            "Set-Header Access-Control-Allow-Origin *",
            "Set-Header Access-Control-Allow-Methods GET, POST, PUT, DELETE, OPTIONS",
            "Set-Header Access-Control-Allow-Headers Content-Type, Authorization, Content-Length, X-Requested-With"
        ],
        "paths": [
            {
                "path": "/",
                "root": "./adminui",
                "default": "index.html"
            }
        ]
    },
    "servers":[{
        "port" : 8080,
        "name":"demo",
        "paths":[
            {
                "path": "/",
                "root": "./public/",
                "default": "index.html"
            },
            {
                "path": "/ws",
                "upstreams":["http://localhost:3000"],
                "pathrewrite": {
                    "replace": "/ws",
                    "with": "/"
                }
            }
        ]
    }]
}